Text::Xslate::Bridge(3pm)

NAME
Text::Xslate::Bridge - The interface base class to import methods

SYNOPSIS
    package SomeTemplate::Bridge::Xslate;

    use parent qw(Text::Xslate::Bridge);

    __PACKAGE__->bridge(
        nil    => \%nil_methods,
        scalar => \%scalar_methods,
        array  => \%array_methods,
        hash   => \%hash_methods,

        function => \%functions,
    );

    # in your script

    use Text::Xslate;

    my $tx = Text::Xslate->new(
        module => [
            'SomeTemplate::Bridge::Xslate'
                => [-exclude => [qw(hash::keys hash::values)]],
        ],
    );

DESCRIPTION
This module is the base class for adaptor classes.

INTERFACE

  "__PACKAGE__->bridge(@mapping) :Void"
Install a bridge module that has method @mapping. See "example/bridge.pl" for more an example.

SEE ALSO
Text::Xslate

Text::Xslate::Bridge::TT2

Text::Xslate::Bridge::TT2Like

Text::Xslate::Bridge::Alloy